/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package modules.items;

import java.io.File;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.Random;
import java.util.TimeZone;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.JTable;
import javax.swing.filechooser.FileNameExtensionFilter;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumn;
import models.AsignacionModel;
import modules.main;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import services.Asignacion;
import services.Excel;
import services.utils;
import utils.CentrarColumnas;

/**
 *
 * @author thiago
 */
public class Asignaciones extends javax.swing.JFrame {

    /**
     * Creates new form Asignaciones
     */
    private final DefaultTableModel modelo;
    private final String [][] datos = {};
    

    Excel excel = new Excel();
    
    
    public Asignaciones(){
        initComponents();
        setLocationRelativeTo(this);
        
        setExtendedState(MAXIMIZED_BOTH);
        
        String [] cabecera = {"#", "Codigo", "Cantidad"};
        modelo = new DefaultTableModel(datos, cabecera);
        ListadoAsignaciones.setModel(modelo);
        ListadoAsignaciones.setEnabled(false);
        ListadoAsignaciones.getBorder();
        ListadoAsignaciones.setDefaultRenderer(Object.class, new CentrarColumnas());
        
        modelo.setRowCount(0);
        
        TableColumn columna = ListadoAsignaciones.getColumnModel().getColumn(0);
        columna.setPreferredWidth(20);
        
        buttonClean.setEnabled(false);
        ButtonConfirmar.setEnabled(false);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuItem1 = new javax.swing.JMenuItem();
        jPanel1 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        ListadoAsignaciones = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        LabelDirectorio = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        FieldCodigo = new javax.swing.JTextField();
        ButtonConfirmar = new javax.swing.JButton();
        Numbers = new javax.swing.JLabel();
        buttonClean = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel4 = new javax.swing.JLabel();
        FechaRemision = new com.toedter.calendar.JDateChooser();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItem2 = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        jMenuItem3 = new javax.swing.JMenuItem();

        jMenuItem1.setText("jMenuItem1");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setAlwaysOnTop(true);
        setBackground(new java.awt.Color(204, 204, 204));

        jPanel1.setBackground(new java.awt.Color(204, 204, 204));
        jPanel1.setFont(new java.awt.Font("Open Sans", 0, 14)); // NOI18N

        ListadoAsignaciones.setBackground(new java.awt.Color(153, 153, 153));
        ListadoAsignaciones.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(ListadoAsignaciones);

        jLabel1.setFont(new java.awt.Font("Open Sans", 1, 18)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(30, 114, 115));
        jLabel1.setText("ASIGNACIONES");

        LabelDirectorio.setFont(new java.awt.Font("Open Sans", 0, 13)); // NOI18N
        LabelDirectorio.setForeground(new java.awt.Color(30, 114, 115));
        LabelDirectorio.setText("No hay archivo seleccionado");

        jLabel3.setFont(new java.awt.Font("Dialog", 1, 13)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(30, 114, 115));
        jLabel3.setText("CÓDIGO DE REMISIÓN");

        FieldCodigo.setFont(new java.awt.Font("Open Sans", 0, 13)); // NOI18N
        FieldCodigo.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        FieldCodigo.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                FieldCodigoFocusLost(evt);
            }
        });

        ButtonConfirmar.setBackground(new java.awt.Color(0, 102, 102));
        ButtonConfirmar.setFont(new java.awt.Font("Open Sans", 1, 13)); // NOI18N
        ButtonConfirmar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/icons/ok.png"))); // NOI18N
        ButtonConfirmar.setText("CONFIRMAR");
        ButtonConfirmar.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        ButtonConfirmar.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        ButtonConfirmar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ButtonConfirmarActionPerformed(evt);
            }
        });

        Numbers.setFont(new java.awt.Font("Open Sans", 0, 14)); // NOI18N
        Numbers.setForeground(new java.awt.Color(30, 114, 115));

        buttonClean.setFont(new java.awt.Font("Open Sans", 1, 13)); // NOI18N
        buttonClean.setIcon(new javax.swing.ImageIcon(getClass().getResource("/icons/eliminar.png"))); // NOI18N
        buttonClean.setText("Limpiar");
        buttonClean.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        buttonClean.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCleanActionPerformed(evt);
            }
        });

        jLabel4.setFont(new java.awt.Font("Open Sans", 1, 14)); // NOI18N
        jLabel4.setForeground(new java.awt.Color(30, 114, 115));
        jLabel4.setText("FECHA DE REMISIÓN");

        FechaRemision.setBackground(new java.awt.Color(204, 204, 204));
        FechaRemision.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        FechaRemision.setForeground(new java.awt.Color(30, 114, 115));

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jSeparator1, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(LabelDirectorio, javax.swing.GroupLayout.PREFERRED_SIZE, 592, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(Numbers, javax.swing.GroupLayout.DEFAULT_SIZE, 265, Short.MAX_VALUE)
                        .addGap(18, 18, 18)
                        .addComponent(ButtonConfirmar, javax.swing.GroupLayout.PREFERRED_SIZE, 192, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabel3, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 345, Short.MAX_VALUE))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(FieldCodigo, javax.swing.GroupLayout.DEFAULT_SIZE, 467, Short.MAX_VALUE)
                            .addComponent(FechaRemision, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(18, 18, 18)
                        .addComponent(buttonClean, javax.swing.GroupLayout.PREFERRED_SIZE, 125, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addGap(16, 16, 16)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE, 37, Short.MAX_VALUE)
                    .addComponent(FechaRemision, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 36, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(FieldCodigo, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(buttonClean, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jLabel2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 39, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 409, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(ButtonConfirmar, javax.swing.GroupLayout.PREFERRED_SIZE, 45, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(LabelDirectorio, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Numbers, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(18, Short.MAX_VALUE))
        );

        jMenu1.setText("Opciones");

        jMenuItem2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/icons/logout.png"))); // NOI18N
        jMenuItem2.setText("Cerrar sesión");
        jMenuItem2.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jMenuItem2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem2ActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem2);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Archivo");
        jMenu2.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));

        jMenuItem3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/icons/upload.png"))); // NOI18N
        jMenuItem3.setText("Cargar archivo");
        jMenuItem3.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jMenuItem3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem3ActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItem3);

        jMenuBar1.add(jMenu2);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ButtonConfirmarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ButtonConfirmarActionPerformed
        String LOGIN_URL = "https://gera.solucionesig.com.co/entrada.php";
        System.setProperty("webdriver.gecko.driver", "/usr/bin/geckodriver");
        System.setProperty("webdriver.firefox.bin", "/usr/lib/firefox/firefox");
        
        try {
            
            if(!ValidarNroRemision()) {
                JOptionPane.showMessageDialog(null, "Debe validar el numero de remisión", "Información", JOptionPane.INFORMATION_MESSAGE);
                return;    
            }
            
            if(!ValidarFecha()) {
                JOptionPane.showMessageDialog(null, "Debe validar la fecha de remisión", "Información", JOptionPane.INFORMATION_MESSAGE);
                return;    
            }
            
            System.err.println(excel.NroRemision + " --- " + excel.fecharemision);
            if(excel.NroRemision == -1 || excel.fecharemision.equals("")) {
                JOptionPane.showMessageDialog(null, "Se requiere completar toda la información para iniciar", "Información", JOptionPane.INFORMATION_MESSAGE);
            } else {                    
                WebDriver driver = new FirefoxDriver();
                driver.get(LOGIN_URL);
                driver.manage().window().maximize();

                utils util = new utils();

                util.__Login(driver);

                Asignacion asignacion = new Asignacion(driver, excel.NroRemision, excel.fecharemision, excel.ListadoAsignacion);
                asignacion.start();
            }
                        
            
        } catch (Exception e) {
            System.out.println("ERROR ====>: " + e.getMessage());
            try {
                Thread.sleep(3000);
            } catch (InterruptedException ex) {
                Logger.getLogger(Asignaciones.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }//GEN-LAST:event_ButtonConfirmarActionPerformed

    private void jMenuItem2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem2ActionPerformed
        try {
            int resultado = JOptionPane.showConfirmDialog(null,"¿Desea salir?", "Información", JOptionPane.INFORMATION_MESSAGE);
            if(resultado == 0) {
                setVisible(false);
                main m = new main();
                m.setVisible(true);
            }
            
        } catch (Exception e) {
            System.out.println("Error " + e.getMessage());
        }
    }//GEN-LAST:event_jMenuItem2ActionPerformed

    private void jMenuItem3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem3ActionPerformed
         try {
            ObtenerArchivoEXCEL();
            if(ListadoAsignaciones.getRowCount() > 0) JOptionPane.showMessageDialog(null, "Debes limpiar la tabla primero", "GERA - Advertencia", JOptionPane.INFORMATION_MESSAGE);
            else {
                if( excel.__readFileTest(LabelDirectorio.getText()) == -1) JOptionPane.showMessageDialog(null, "No se ha podido cargar el archivo", "Advertencia", JOptionPane.WARNING_MESSAGE);
                else {
                    int a=1;
                    for(AsignacionModel asignacion : excel.ListadoAsignacion) {            
                        Object [] row = new Object[] { a, asignacion.getCodigo(), asignacion.getCantidad(), asignacion.getCiudad()};            
                        modelo.addRow(row);
                        a++;
                    } 
                    Numbers.setText("Datos: " + excel.ListadoAsignacion.size());
                }
                buttonClean.setEnabled(true);
                ButtonConfirmar.setEnabled(true);
            }
             
            
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
    }//GEN-LAST:event_jMenuItem3ActionPerformed

    private void buttonCleanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCleanActionPerformed
        if(ListadoAsignaciones.getRowCount() == 0) JOptionPane.showMessageDialog(null,"La tabla esta vacia", "GERA - Advertencia", JOptionPane.INFORMATION_MESSAGE);
        else {
            LimpiarRegistros(ListadoAsignaciones);
            excel.ListadoAsignacion.clear();
            Numbers.setText("Datos " + excel.ListadoAsignacion.size());
            LabelDirectorio.setText("No hay archivo seleccionado");
        }
    }//GEN-LAST:event_buttonCleanActionPerformed

    private void FieldCodigoFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_FieldCodigoFocusLost

    }//GEN-LAST:event_FieldCodigoFocusLost

    private Boolean ValidarFecha () {
        try {
            Date date = FechaRemision.getDate();
            // Convierte la fecha seleccionada a LocalDate (Java 8 y versiones posteriores)
            LocalDate fechaActual = date.toInstant().atZone(ZoneId.systemDefault()).toLocalDate();

            // Calcula la fecha que está 44 días en el futuro
            LocalDate fechaEnElFuturo = fechaActual.plusDays(44);

            // Formatea la fecha en el formato 'yyyy-MM-dd'
            DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
            String fecha = fechaEnElFuturo.format(formatter);
            
            System.err.println(fecha + " << Fecha");
            excel.fecharemision = fecha;
            return true;
        } catch (Exception e) {
            return false;
        }
    }
    
    
    private Boolean ValidarNroRemision () {
        try {
            excel.NroRemision = Long.parseLong(FieldCodigo.getText() );
            return true;
        } catch (Exception e) {
            return false;
        }
    }
    
    private File ObtenerArchivoEXCEL () {
        JFileChooser fileChooser=new JFileChooser();
        FileNameExtensionFilter xlsx = new FileNameExtensionFilter("Excel files", "xls", "xlsx");
        fileChooser.setFileFilter(xlsx);
        fileChooser.setFileSelectionMode(JFileChooser.FILES_ONLY);
        
        int resultado=fileChooser.showOpenDialog(this);
        
        if(resultado == JFileChooser.CANCEL_OPTION)
        {
            return null;
        }
        else
        {
            File ArchivoSeleccionado=fileChooser.getSelectedFile();
            LabelDirectorio.setText(ArchivoSeleccionado.getAbsolutePath());
            return ArchivoSeleccionado;
        }
    }
    public static void LimpiarRegistros(JTable table)
    {
        try {            
            DefaultTableModel modelo=(DefaultTableModel) table.getModel();
            int filas= modelo.getRowCount();
            for (int i = 0;filas>i; i++) {
                modelo.removeRow(0);
            }
            
        } catch (Exception e) {
            JOptionPane.showMessageDialog(null, "Error", "GERA - Advertencia", JOptionPane.ERROR_MESSAGE);
        }
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Asignaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Asignaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Asignaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Asignaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Asignaciones().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton ButtonConfirmar;
    private com.toedter.calendar.JDateChooser FechaRemision;
    private javax.swing.JTextField FieldCodigo;
    private javax.swing.JLabel LabelDirectorio;
    private javax.swing.JTable ListadoAsignaciones;
    private javax.swing.JLabel Numbers;
    private javax.swing.JButton buttonClean;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    // End of variables declaration//GEN-END:variables
}
